NPM not a package installing bootstrap v4 dependencies #15438

Open
BaNburger opened this Issue Jan 10, 2017 · 11 comments

Projects

None yet

4 participants

@BaNburger
BaNburger commented Jan 10, 2017 edited

Trying to install the dependencies for bootstrap gives me quite a hard time. I repeatedly receive the following error message:

npm ERR! not a package /var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-3676-EmLdH90R/1484042700772-0.721945162396878/tmp.tgz
npm ERR! addLocal Could not install bootstrap/package.json
npm ERR! Error: ENOENT, open '/var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-3676-EmLdH90R/1484042700772-0.721945162396878/tmp.tgz-unpack/package.json'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 16.3.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bootstrap/package.json"
npm ERR! cwd /Users/Bastian/Desktop/
npm ERR! node -v v0.10.32
npm ERR! npm -v 1.4.28
npm ERR! path /var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-3676-EmLdH90R/1484042700772-0.721945162396878/tmp.tgz-unpack/package.json
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/Bastian/Desktop/npm-debug.log
npm ERR! not ok code 0
@Charlotteis

Does this still happen after updating your versions of node and npm? They are very outdated and no longer supported.

@BaNburger

Good idea, had a lot to update. However, now I'm just getting another kind of error on the same task:

28 verbose stack Error: ENOENT: no such file or directory, open '/var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-67844-b3ef8bcc/unpack-75d51db8/package.json'
29 verbose cwd /Users/Bastian/Desktop/bootstrap
30 error Darwin 16.3.0
31 error argv "/usr/local/Cellar/node/7.4.0/bin/node" "/usr/local/bin/npm" "install" "package.json"
32 error node v7.4.0
33 error npm  v4.0.5
34 error path /var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-67844-b3ef8bcc/unpack-75d51db8/package.json
35 error code ENOENT
36 error errno -2
37 error syscall open
38 error enoent ENOENT: no such file or directory, open '/var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-67844-b3ef8bcc/unpack-75d51db8/package.json'
39 error enoent ENOENT: no such file or directory, open '/var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-67844-b3ef8bcc/unpack-75d51db8/package.json'
39 error enoent This is most likely not a problem with npm itself
39 error enoent and is related to npm not being able to find a file.
40 verbose exit [ -2, true ]
@legodude17
Contributor

Can I see your package.json?

@BaNburger

Sure! It's the standard package.json I downloaded with Bootstrap:

{
  "name": "bootstrap",
  "description": "The most popular front-end framework for developing responsive, mobile first projects on the web.",
  "version": "4.0.0-alpha.6",
  "keywords": [
    "css",
    "sass",
    "mobile-first",
    "responsive",
    "front-end",
    "framework",
    "web"
  ],
  "homepage": "https://getbootstrap.com",
  "author": "The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)",
  "contributors": [
    "Twitter, Inc."
  ],
  "scripts": {
    "change-version": "node grunt/change-version.js",
    "clean-css": "cleancss --skip-advanced --source-map --output dist/css/bootstrap.min.css dist/css/bootstrap.css && cleancss --skip-advanced --source-map --output dist/css/bootstrap-grid.min.css dist/css/bootstrap-grid.css && cleancss --skip-advanced --source-map --output dist/css/bootstrap-reboot.min.css dist/css/bootstrap-reboot.css",
    "clean-css-docs": "cleancss --skip-advanced --source-map --output docs/assets/css/docs.min.css docs/assets/css/docs.min.css",
    "eslint": "eslint --ignore-path .eslintignore js && eslint --config js/tests/.eslintrc.json --env node grunt Gruntfile.js && eslint --config js/tests/.eslintrc.json docs/assets/js/src docs/assets/js/ie-emulation-modes-warning.js docs/assets/js/ie10-viewport-bug-workaround.js",
    "htmlhint": "htmlhint --config docs/.htmlhintrc _gh_pages/",
    "postcss": "postcss --config grunt/postcss.js --replace dist/css/*.css",
    "postcss-docs": "postcss --config grunt/postcss.js --no-map --replace docs/assets/css/docs.min.css && postcss --config grunt/postcss.js --no-map --replace docs/examples/**/*.css",
    "sass": "node-sass --output-style expanded --source-map true --precision 6 scss/bootstrap.scss dist/css/bootstrap.css && node-sass --output-style expanded --source-map true --precision 6 scss/bootstrap-grid.scss dist/css/bootstrap-grid.css && node-sass --output-style expanded --source-map true --precision 6 scss/bootstrap-reboot.scss dist/css/bootstrap-reboot.css",
    "sass-docs": "node-sass --output-style expanded --source-map true --precision 6 docs/assets/scss/docs.scss docs/assets/css/docs.min.css",
    "scss-lint": "bundle exec scss-lint --config scss/.scss-lint.yml --exclude scss/_normalize.scss scss/*.scss",
    "scss-lint-docs": "bundle exec scss-lint --config scss/.scss-lint.yml --exclude docs/assets/scss/docs.scss docs/assets/scss/*.scss",
    "uglify": "uglifyjs --compress warnings=false --mangle --comments '/^!/' --output dist/js/bootstrap.min.js dist/js/bootstrap.js",
    "uglify-docs": "uglifyjs --compress warnings=false --mangle --comments '/^!/' --output docs/assets/js/docs.min.js docs/assets/js/vendor/*.js docs/assets/js/src/application.js",
    "update-shrinkwrap": "npm shrinkwrap --dev && shx mv ./npm-shrinkwrap.json ./grunt/npm-shrinkwrap.json",
    "test": "npm run eslint && grunt test"
  },
  "style": "dist/css/bootstrap.css",
  "sass": "scss/bootstrap.scss",
  "main": "dist/js/bootstrap",
  "repository": {
    "type": "git",
    "url": "https://github.com/twbs/bootstrap.git"
  },
  "bugs": {
    "url": "https://github.com/twbs/bootstrap/issues"
  },
  "license": "MIT",
  "dependencies": {
    "jquery": ">=1.9.1",
    "tether": "^1.4.0"
  },
  "devDependencies": {
    "autoprefixer": "^6.6.1",
    "babel-eslint": "^7.1.1",
    "babel-plugin-transform-es2015-modules-strip": "^0.1.0",
    "babel-preset-es2015": "^6.18.0",
    "clean-css": "^3.4.23",
    "eslint": "^3.12.2",
    "grunt": "^1.0.1",
    "grunt-babel": "^6.0.0",
    "grunt-build-control": "^0.7.1",
    "grunt-contrib-clean": "^1.0.0",
    "grunt-contrib-compress": "^1.3.0",
    "grunt-contrib-concat": "^1.0.1",
    "grunt-contrib-connect": "^1.0.2",
    "grunt-contrib-copy": "^1.0.0",
    "grunt-contrib-qunit": "^1.2.0",
    "grunt-contrib-watch": "^1.0.0",
    "grunt-exec": "^1.0.1",
    "grunt-html": "^8.1.0",
    "grunt-jekyll": "^0.4.4",
    "grunt-saucelabs": "^9.0.0",
    "grunt-stamp": "^0.3.0",
    "htmlhint": "^0.9.13",
    "is-travis": "^1.0.0",
    "load-grunt-tasks": "^3.5.2",
    "node-sass": "^4.1.1",
    "postcss-cli": "^2.6.0",
    "postcss-flexbugs-fixes": "^2.1.0",
    "shelljs": "^0.7.5",
    "shx": "^0.2.1",
    "time-grunt": "^1.4.0",
    "uglify-js": "^2.7.5"
  },
  "engines": {
    "node": ">=4"
  },
  "files": [
    "dist",
    "grunt",
    "js/**/*.js",
    "scss/**/*.scss",
    "Gruntfile.js",
    "LICENSE"
  ],
  "jspm": {
    "main": "js/bootstrap",
    "directories": {
      "lib": "dist"
    },
    "shim": {
      "js/bootstrap": {
        "deps": [
          "jquery"
        ],
        "exports": "$"
      }
    },
    "dependencies": {
      "jquery": "3"
    }
  }
}
@noherczeg
noherczeg commented Jan 13, 2017 edited

How is it that we can see windows paths and linux paths as well in the error logs?
Also, I think @legodude17 meant YOUR package.json, not Bootstrap's.

@BaNburger

These should all be OS X paths.
I do not have a package on my own, I just need to customize and compile Bootstrap. Usually I barely use node.

@noherczeg

@BaNburger yeah sorry, it was late at night, I see now that it's a nix* like system. Sorry for that.

@legodude17
Contributor

@BaNburger 🤔 Is your internet connection good and consistent?

@BaNburger
@legodude17
Contributor

Does /var/folders/vv/lmscm1z12v72_3y57qypyt1w0000gn/T/npm-67844-b3ef8bcc/unpack-75d51db8 exist?

@BaNburger
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment